import React from "react";
import type { PlateContentProps } from "@udecode/plate-common/react";
import type { VariantProps } from "class-variance-authority";
declare const editorVariants: (props?: {
    disabled?: boolean;
    focusRing?: boolean;
    focused?: boolean;
    size?: "sm" | "md";
    variant?: "outline" | "ghost";
} & import("class-variance-authority/types").ClassProp) => string;
export type EditorProps = PlateContentProps & VariantProps<typeof editorVariants>;
declare const PlateEditorContent: React.ForwardRefExoticComponent<Omit<import("@udecode/slate-react").TEditableProps, "decorate"> & {
    autoFocusOnEditable?: boolean;
    decorate?: import("@udecode/plate-common/react").PlateStoreState["decorate"];
    disabled?: boolean;
    renderEditable?: (editable: React.ReactElement) => React.ReactNode;
} & VariantProps<(props?: {
    disabled?: boolean;
    focusRing?: boolean;
    focused?: boolean;
    size?: "sm" | "md";
    variant?: "outline" | "ghost";
} & import("class-variance-authority/types").ClassProp) => string> & React.RefAttributes<HTMLDivElement>>;
export { PlateEditorContent };
