"use client";
import { jsx as _jsx } from "react/jsx-runtime";
import { cn, withRef } from "@udecode/cn";
import { PlateElement } from "@udecode/plate-common/react";
export const BlockquoteElement = withRef(({ children, className, ...props }, ref) => {
    return (_jsx(PlateElement, { asChild: true, className: cn("my-1 border-l-2 pl-6 italic", className), ref: ref, ...props, children: _jsx("blockquote", { children: children }) }));
});
//# sourceMappingURL=blockquote-element.js.map