"use client";
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { cn, withRef } from "@udecode/cn";
import { useCodeBlockElementState } from "@udecode/plate-code-block/react";
import { PlateElement } from "@udecode/plate-common/react";
import { CodeBlockCombobox } from "./code-block-combobox";
import "./code-block-element.css";
export const CodeBlockElement = withRef(({ children, className, ...props }, ref) => {
    const { element } = props;
    const state = useCodeBlockElementState({ element });
    return (_jsxs(PlateElement, { className: cn("relative py-1", state.className, className), ref: ref, ...props, children: [_jsx("pre", { className: "overflow-x-auto rounded-md bg-muted px-6 py-8 font-mono text-sm leading-[normal] [tab-size:2]", children: _jsx("code", { children: children }) }), state.syntax && (_jsx("div", { className: "absolute z-10 select-none right-2 top-2", contentEditable: false, children: _jsx(CodeBlockCombobox, {}) }))] }));
});
//# sourceMappingURL=code-block-element.js.map