"use client";
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import React from "react";
import { cn, withRef } from "@udecode/cn";
import { useComposedRef } from "@udecode/plate-common/react";
import { useColorInput } from "@udecode/plate-font/react";
export const ColorInput = withRef(({ children, className, value = "#000000", ...props }, ref) => {
    const { childProps, inputRef } = useColorInput();
    return (_jsxs("div", { className: "flex flex-col items-center", children: [React.Children.map(children, (child) => {
                if (!child)
                    return child;
                return React.cloneElement(child, childProps);
            }), _jsx("input", { className: cn("size-0 overflow-hidden border-0 p-0", className), ref: useComposedRef(ref, inputRef), type: "color", value: value, ...props })] }));
});
//# sourceMappingURL=color-input.js.map