import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { cn, withRef } from "@udecode/cn";
import { PlateElement } from "@udecode/plate-common/react";
import { useFocused, useSelected } from "slate-react";
export const HrElement = withRef(({ className, nodeProps, ...props }, ref) => {
    const { children } = props;
    const selected = useSelected();
    const focused = useFocused();
    return (_jsxs(PlateElement, { ref: ref, ...props, children: [_jsx("div", { className: "py-6", contentEditable: false, children: _jsx("hr", { ...nodeProps, className: cn("h-0.5 cursor-pointer rounded-sm border-none bg-slate-500 bg-clip-content", selected && focused && "ring-2 ring-ring ring-offset-2", className) }) }), children] }));
});
//# sourceMappingURL=hr-element.js.map