import { jsx as _jsx } from "react/jsx-runtime";
import { withRef } from "@udecode/cn";
import { useIndentTodoToolBarButton, useIndentTodoToolBarButtonState, } from "@udecode/plate-indent-list/react";
import { Icons } from "../icons";
import { ToolbarButton } from "./toolbar";
export const IndentTodoToolbarButton = withRef((rest, ref) => {
    const state = useIndentTodoToolBarButtonState({ nodeType: "todo" });
    const { props } = useIndentTodoToolBarButton(state);
    return (_jsx(ToolbarButton, { ref: ref, tooltip: "Todo", ...props, ...rest, children: _jsx(Icons.todo, {}) }));
});
//# sourceMappingURL=indent-todo-toolbar-button.js.map