import React from "react";
import type { TMentionElement } from "@udecode/plate-mention";
export declare const MentionElement: React.ForwardRefExoticComponent<Omit<{
    elementToAttributes?: (element: import("@udecode/plate-common").TElement) => any;
} & Omit<{
    as?: React.ElementType;
    asChild?: boolean;
} & Omit<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "ref"> & React.RefAttributes<any>, "ref"> & {
    ref?: React.Ref<any>;
} & import("@udecode/plate-common").BasePluginContext<import("@udecode/plate-common/react").AnyPlatePlugin> & {
    useOption: {
        <K extends string | number | symbol, F extends any, Args extends Parameters<F & ((...args: any[]) => any)>>(optionKey: K, ...args: Args): F extends (...args: any[]) => any ? ReturnType<F> : F;
        <K extends string | number | symbol, F extends any>(optionKey: K): F extends (...args: any[]) => any ? never : F;
    };
    editor: import("@udecode/plate-common/react").PlateEditor;
    plugin: import("@udecode/plate-common/react").EditorPlatePlugin<import("@udecode/plate-common/react").AnyPlatePlugin>;
} & {
    className?: string;
    nodeProps?: import("@udecode/plate-common").AnyObject;
} & import("@udecode/slate-react").TRenderElementProps<import("@udecode/plate-common").TElement> & {
    path: import("slate").Path;
} & React.RefAttributes<HTMLDivElement>, "ref"> & {
    onClick?: (mentionNode: any) => void;
    prefix?: string;
    renderLabel?: (mentionable: TMentionElement) => string;
} & React.RefAttributes<never>>;
