import { jsxs as _jsxs } from "react/jsx-runtime";
import { cn, withRef } from "@udecode/cn";
import { getHandler } from "@udecode/plate-common";
import { PlateElement, useElement } from "@udecode/plate-common/react";
import { useFocused, useSelected } from "slate-react";
export const MentionElement = withRef(({ children, className, onClick, prefix, renderLabel, ...props }, ref) => {
    const element = useElement();
    const selected = useSelected();
    const focused = useFocused();
    return (_jsxs(PlateElement, { className: cn("inline-block cursor-pointer rounded-md bg-muted px-1.5 py-0.5 align-baseline text-sm font-medium", selected && focused && "ring-2 ring-ring", element.children[0].bold === true && "font-bold", element.children[0].italic === true && "italic", element.children[0].underline === true && "underline", className), contentEditable: false, "data-slate-value": element.value, onClick: getHandler(onClick, element), ref: ref, ...props, children: [prefix, renderLabel ? renderLabel(element) : element.value, children] }));
});
//# sourceMappingURL=mention-element.js.map