import { jsx as _jsx } from "react/jsx-runtime";
import { withRef } from "@udecode/cn";
import { useOutdentButton } from "@udecode/plate-indent/react";
import { Icons } from "../icons";
import { ToolbarButton } from "./toolbar";
export const OutdentToolbarButton = withRef((rest, ref) => {
    const { props } = useOutdentButton();
    return (_jsx(ToolbarButton, { ref: ref, tooltip: "Outdent", ...props, ...rest, children: _jsx(Icons.outdent, {}) }));
});
//# sourceMappingURL=outdent-toolbar-button.js.map