import { jsx as _jsx } from "react/jsx-runtime";
import { cn, withRef } from "@udecode/cn";
import { PlateElement } from "@udecode/plate-common/react";
export const TableRowElement = withRef(({ children, hideBorder, ...props }, ref) => {
    return (_jsx(PlateElement, { asChild: true, className: cn("h-full", hideBorder && "border-none"), ref: ref, ...props, children: _jsx("tr", { children: children }) }));
});
//# sourceMappingURL=table-row-element.js.map