declare const _exports: {
    entry: string;
    plugins: import("eslint-webpack-plugin")[];
    devtool: string;
    module: {
        rules: ({
            test: RegExp;
            exclude: RegExp;
            use: {
                loader: string;
                options: {
                    jsc: {
                        parser: {
                            syntax: string;
                        };
                    };
                };
            };
        } | {
            test: RegExp;
            use: (string | {
                loader: string;
                options: {
                    postcssOptions: {
                        plugins: (import("postcss").PluginCreator<string | import("tailwindcss/types/config").Config | {
                            config: string | import("tailwindcss/types/config").Config;
                        }> | typeof import("autoprefixer"))[];
                    };
                    api?: undefined;
                };
            } | {
                loader: string;
                options: {
                    api: string;
                    postcssOptions?: undefined;
                };
            })[];
            exclude?: undefined;
        })[];
    };
    resolve: {
        extensions: string[];
        alias: {
            "@codemirror/state": string;
            "lodash/kebabCase": string;
        };
    };
    externals: {
        react: string;
    };
    output: {
        library: {
            type: string;
        };
        globalObject: string;
        filename: string;
        path: string;
    };
    optimization: {
        removeEmptyChunks: boolean;
        removeAvailableModules: boolean;
        usedExports: boolean;
    };
};
export = _exports;
