import * as React from "react";
import { VariantProps } from "class-variance-authority";
export declare const buttonVariants: (props?: {
    variant?: "link" | "outline" | "default" | "secondary" | "destructive" | "ghost" | "inlineLink";
    size?: "default" | "none" | "icon" | "sm" | "xs" | "sms" | "lg";
    isMenu?: boolean;
} & import("class-variance-authority/types").ClassProp) => string;
export declare const Button: React.ForwardRefExoticComponent<Omit<React.DetailedHTMLProps<React.ButtonHTMLAttributes<HTMLButtonElement>, HTMLButtonElement>, "ref"> & VariantProps<(props?: {
    variant?: "link" | "outline" | "default" | "secondary" | "destructive" | "ghost" | "inlineLink";
    size?: "default" | "none" | "icon" | "sm" | "xs" | "sms" | "lg";
    isMenu?: boolean;
} & import("class-variance-authority/types").ClassProp) => string> & {
    asChild?: boolean;
} & React.RefAttributes<HTMLButtonElement>>;
