"use client";
import { jsx as _jsx } from "react/jsx-runtime";
import { cn, withRef } from "@udecode/cn";
import { PlateLeaf } from "@udecode/plate-common/react";
export const CodeLeaf = withRef(({ children, className, ...props }, ref) => {
    return (_jsx(PlateLeaf, { asChild: true, className: cn("whitespace-pre-wrap rounded-md bg-muted px-[0.3em] py-[0.2em] font-mono text-sm", className), ref: ref, ...props, children: _jsx("code", { children: children }) }));
});
//# sourceMappingURL=code-leaf.js.map