"use client";
import { jsx as _jsx } from "react/jsx-runtime";
import { withRef } from "@udecode/cn";
import { useCodeSyntaxLeaf } from "@udecode/plate-code-block/react";
import { PlateLeaf } from "@udecode/plate-common/react";
export const CodeSyntaxLeaf = withRef(({ children, ...props }, ref) => {
    const { leaf } = props;
    const { tokenProps } = useCodeSyntaxLeaf({ leaf });
    return (_jsx(PlateLeaf, { ref: ref, ...props, children: _jsx("span", { ...tokenProps, children: children }) }));
});
//# sourceMappingURL=code-syntax-leaf.js.map