import React from "react";
import type { DropdownMenuItemProps } from "@radix-ui/react-dropdown-menu";
import type { TColor } from "./color-dropdown-menu";
type ColorDropdownMenuItemProps = {
    isBrightColor: boolean;
    isSelected: boolean;
    name?: string;
    updateColor: (color: string) => void;
    value: string;
} & DropdownMenuItemProps;
export declare function ColorDropdownMenuItem({ className, isBrightColor, isSelected, name, updateColor, value, ...props }: ColorDropdownMenuItemProps): import("react/jsx-runtime").JSX.Element;
type ColorDropdownMenuItemsProps = {
    color?: string;
    colors: TColor[];
    updateColor: (color: string) => void;
} & React.HTMLAttributes<HTMLDivElement>;
export declare function ColorDropdownMenuItems({ className, color, colors, updateColor, ...props }: ColorDropdownMenuItemsProps): import("react/jsx-runtime").JSX.Element;
export {};
