import React from "react";
import type { TColor } from "./color-dropdown-menu";
export declare const ColorPickerContent: React.ForwardRefExoticComponent<Omit<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "ref"> & {
    clearColor: () => void;
    color?: string;
    colors: TColor[];
    customColors: TColor[];
    updateColor: (color: string) => void;
    updateCustomColor: (color: string) => void;
} & React.RefAttributes<HTMLDivElement>>;
export declare const ColorPicker: React.MemoExoticComponent<React.ForwardRefExoticComponent<Omit<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "ref"> & {
    clearColor: () => void;
    color?: string;
    colors: TColor[];
    customColors: TColor[];
    updateColor: (color: string) => void;
    updateCustomColor: (color: string) => void;
} & React.RefAttributes<HTMLDivElement>>>;
