"use client";
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { cn, withRef } from "@udecode/cn";
import React from "react";
import { buttonVariants } from "./button";
import { ColorDropdownMenuItems } from "./color-dropdown-menu-items";
import { ColorsCustom } from "./colors-custom";
import { DropdownMenuItem } from "./dropdown-menu";
import { Separator } from "./separator";
export const ColorPickerContent = withRef(({ className, clearColor, color, colors, customColors, updateColor, updateCustomColor, ...props }, ref) => {
    return (_jsxs("div", { className: cn("flex flex-col gap-4 p-4", className), ref: ref, ...props, children: [_jsx(ColorsCustom, { color: color, colors: colors, customColors: customColors, updateColor: updateColor, updateCustomColor: updateCustomColor }), _jsx(Separator, {}), _jsx(ColorDropdownMenuItems, { color: color, colors: colors, updateColor: updateColor }), color && (_jsx(DropdownMenuItem, { className: buttonVariants({
                    isMenu: true,
                    variant: "outline",
                }), onClick: clearColor, children: "Clear" }))] }));
});
export const ColorPicker = React.memo(ColorPickerContent, (prev, next) => prev.color === next.color &&
    prev.colors === next.colors &&
    prev.customColors === next.customColors);
//# sourceMappingURL=color-picker.js.map