"use client";
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useColorsCustom, useColorsCustomState, } from "@udecode/plate-font/react";
import { buttonVariants } from "./button";
import { ColorDropdownMenuItems } from "./color-dropdown-menu-items";
import { ColorInput } from "./color-input";
import { DropdownMenuItem } from "./dropdown-menu";
export function ColorsCustom({ color, colors, customColors, updateColor, updateCustomColor, }) {
    const state = useColorsCustomState({
        color,
        colors,
        customColors,
        updateCustomColor,
    });
    const { inputProps, menuItemProps } = useColorsCustom(state);
    return (_jsxs("div", { className: "flex flex-col gap-4", children: [_jsx(ColorInput, { ...inputProps, children: _jsx(DropdownMenuItem, { className: buttonVariants({
                        isMenu: true,
                        variant: "outline",
                    }), ...menuItemProps, children: "CUSTOM" }) }), _jsx(ColorDropdownMenuItems, { color: color, colors: state.computedColors, updateColor: updateColor })] }));
}
//# sourceMappingURL=colors-custom.js.map