import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { withRef } from "@udecode/cn";
import { PlateElement } from "@udecode/plate-common/react";
import { useExcalidrawElement } from "@udecode/plate-excalidraw/react";
export const ExcalidrawElement = withRef(({ nodeProps, ...props }, ref) => {
    const { children, element } = props;
    const { Excalidraw, excalidrawProps } = useExcalidrawElement({
        element,
    });
    return (_jsxs(PlateElement, { ref: ref, ...props, children: [_jsx("div", { contentEditable: false, children: _jsx("div", { className: "h-[600px]", children: Excalidraw && (_jsx(Excalidraw, { ...nodeProps, ...excalidrawProps })) }) }), children] }));
});
//# sourceMappingURL=excalidraw-element.js.map