import { jsx as _jsx } from "react/jsx-runtime";
import { cn } from "@udecode/cn";
import { useIndentTodoListElement, useIndentTodoListElementState, } from "@udecode/plate-indent-list/react";
import { Checkbox } from "./checkbox";
export const TodoMarker = ({ element, }) => {
    const state = useIndentTodoListElementState({ element });
    const { checkboxProps } = useIndentTodoListElement(state);
    return (_jsx("div", { contentEditable: false, children: _jsx(Checkbox, { style: { left: -24, position: "absolute", top: 4 }, ...checkboxProps }) }));
};
export const TodoLi = (props) => {
    const { children, element } = props;
    return (_jsx("span", { className: cn(element.checked && "text-muted-foreground line-through"), children: children }));
};
//# sourceMappingURL=indent-todo-marker-component.js.map