import { jsx as _jsx } from "react/jsx-runtime";
import { withRef } from "@udecode/cn";
import { useIndentButton } from "@udecode/plate-indent/react";
import { Icons } from "../icons";
import { ToolbarButton } from "./toolbar";
export const IndentToolbarButton = withRef((rest, ref) => {
    const { props } = useIndentButton();
    return (_jsx(ToolbarButton, { ref: ref, tooltip: "Indent", ...props, ...rest, children: _jsx(Icons.indent, {}) }));
});
//# sourceMappingURL=indent-toolbar-button.js.map