import { jsx as _jsx } from "react/jsx-runtime";
import { cn, withRef } from "@udecode/cn";
import { PlateElement, useElement } from "@udecode/plate-common/react";
import { useLink } from "@udecode/plate-link/react";
export const LinkElement = withRef(({ children, className, ...props }, ref) => {
    const element = useElement();
    const { props: linkProps } = useLink({ element });
    return (_jsx(PlateElement, { asChild: true, className: cn("font-medium text-primary underline decoration-primary underline-offset-4", className), ref: ref, ...linkProps, ...props, children: _jsx("a", { children: children }) }));
});
//# sourceMappingURL=link-element.js.map