import { jsx as _jsx } from "react/jsx-runtime";
import { withRef } from "@udecode/cn";
import { useLinkToolbarButton, useLinkToolbarButtonState, } from "@udecode/plate-link/react";
import { Icons } from "../icons";
import { ToolbarButton } from "./toolbar";
export const LinkToolbarButton = withRef((rest, ref) => {
    const state = useLinkToolbarButtonState();
    const { props } = useLinkToolbarButton(state);
    return (_jsx(ToolbarButton, { ref: ref, tooltip: "Link", ...props, ...rest, children: _jsx(Icons.link, {}) }));
});
//# sourceMappingURL=link-toolbar-button.js.map