"use client";
import { jsx as _jsx } from "react/jsx-runtime";
import { withRef } from "@udecode/cn";
import { useMarkToolbarButton, useMarkToolbarButtonState, } from "@udecode/plate-common/react";
import { ToolbarButton } from "./toolbar";
export const MarkToolbarButton = withRef(({ clear, nodeType, ...rest }, ref) => {
    const state = useMarkToolbarButtonState({ clear, nodeType });
    const { props } = useMarkToolbarButton(state);
    return _jsx(ToolbarButton, { ref: ref, ...props, ...rest });
});
//# sourceMappingURL=mark-toolbar-button.js.map