import { scopedPreflightStyles, isolateInsideOfContainer, } from "tailwindcss-scoped-preflight";
/** @type {import('tailwindcss').Config} */
module.exports = {
    content: ["./src/**/*.{html,js,ts,jsx,tsx}"],
    theme: {
        extend: {},
    },
    plugins: [
        scopedPreflightStyles({
            isolationStrategy: isolateInsideOfContainer("#twp"),
        }),
    ],
    // corePlugins: {
    //   preflight: false, // Deaktiviert die globalen Reset-Stile
    // },
};
//# sourceMappingURL=tailwind.config.js.map